<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:background="@color/col_6f7"
    android:layout_height="match_parent">

    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>
    
    <androidx.recyclerview.widget.RecyclerView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_14"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_below="@+id/title"
        android:id="@+id/recycler"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_below="@+id/recycler"
        android:layout_marginLeft="@dimen/dp_27"
        android:layout_marginTop="@dimen/dp_12"
        android:id="@+id/ll_analyze">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/icon_analyze_arrow"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_15"
            android:textColor="@color/col_c7c"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="相似解析"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_analyze_result_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_below="@+id/ll_analyze"
        android:paddingTop="@dimen/dp_22"
        android:paddingLeft="@dimen/dp_16"
        android:paddingRight="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_25"
        android:background="@drawable/shape_8round_white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            >
            <com.ruffian.library.widget.RView
                android:layout_width="@dimen/dp_4"
                android:layout_height="@dimen/dp_18"
                app:background_normal="@color/col_02c"
                app:corner_radius="2dp"
                />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/col_313"
                android:text="识别结果"
                android:textStyle="bold"
                android:textSize="@dimen/sp_17"
                android:paddingHorizontal="@dimen/dp_10"
                />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/tv_analyze_title"
            android:textStyle="bold"
            android:layout_marginTop="@dimen/dp_21"
            android:textSize="@dimen/sp_18"
            android:textColor="@color/col_313"
            tools:text="剁椒鱼头"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_below="@+id/ll_analyze_result_title"
        android:paddingTop="@dimen/dp_22"

        android:paddingBottom="@dimen/dp_25"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_12"
        android:background="@drawable/shape_8round_white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_16"
            android:paddingRight="@dimen/dp_16"
            >
            <com.ruffian.library.widget.RView
                android:layout_width="@dimen/dp_4"
                android:layout_height="@dimen/dp_18"
                app:background_normal="@color/col_02c"
                app:corner_radius="2dp"
                />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/col_313"
                android:text="营养成分"
                android:textStyle="bold"
                android:textSize="@dimen/sp_17"
                android:paddingHorizontal="@dimen/dp_10"
                />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_calorie"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_19"
            android:textColor="@color/col_313"
            android:textStyle="bold"
            tools:text="18349kcal/100g"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_36"/>

        <com.xty.common.weight.MyProgressCircleViewNew
            android:id="@+id/mCircle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_112"
            android:layout_marginTop="@dimen/dp_34"
            app:circle_stroke_width="@dimen/dp_16"
            android:paddingEnd="@dimen/dp_16"
            app:count="3"
            app:example_length="@dimen/dp_1"
            app:example_size="@dimen/dp_5"
            app:percent_size="@dimen/sp_12" />


    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_margin="@dimen/dp_25"
        android:orientation="horizontal">
        
        <TextView
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:layout_weight="1"
            android:background="@drawable/shape_r25_stroke_02c"
            android:text="重新拍照"
            android:id="@+id/tv_photograph_again"
            android:textColor="@color/col_02c"
            android:textStyle="bold"
            android:gravity="center"/>

        <TextView
            android:id="@+id/tv_detail"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:layout_weight="1"
            android:background="@drawable/shape_r25_02c"
            android:layout_marginLeft="@dimen/dp_19"
            android:text="查看详情"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:gravity="center"/>
    </LinearLayout>
    


</RelativeLayout>